:root {
    /* Couleurs de fond en blancs et gris */
    --background-color: #F0F0F0;
    --background-light: #FFFFFF;
    --background-gray: #EDEDED;
    --background-dark: #1C1C1C;

    /* Couleur rouge stylÃ© pour le header */
    --header-color: #D32F2F;

    /* DeuxiÃ¨me couleur pour associer au header (sans rouge) */
    --header-secondary-color: #FFC107;

    /* Couleur pour les polices en noir/gris */
    --text-color: #505050;
    --text-muted: #808080;
}


* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

img {
    width: 100%;
    height: auto;
}

ul, ol {
    list-style: none;
}

a {
    text-decoration: none;
    color: currentColor;
}

html.no-scroll {
    overflow: hidden;
}

body {
    font-family: 'Roboto', sans-serif;
    background-color: #F9F6EE;
    color: #282b30;
    line-height: 1.6;
    margin: 0;
    padding: 0;
    transition: background-color 0.04s ease, color 0.04s ease;
}

main {
    margin: 20px 20px 100px;
    text-align: center;
}

.today-button {
    background-color: #eee;
    border: none;
    padding: 1rem;
    font-size: 1rem;
    width: 10em;
    border-radius: 1rem;
    color: lightcoral;
    box-shadow: 0 0.4rem #dfd9d9;
    cursor: pointer;
}

.today-button:active {
    color: white;
    box-shadow: 0 0.2rem #dfd9d9;
    transform: translateY(0.2rem);
}

.today-button:hover {
    background: lightcoral;
    color: white;
    text-shadow: 0 0.1rem #bcb4b4;
}


/* Mode sombre */
.dark-theme {
    background-color: #282b30;
    color: #F9F6EE;
}

.dark-theme-toggle {
    position: fixed;
    top: 10px;
    right: 10px;
    z-index: 10000;
    padding: 10px;
    background-color: #282b30;
    color: #F9F6EE;
    border: none;
    cursor: pointer;
    font-family: sans-serif;
    font-size: 14px;
    height: 40px;
    width: 40px;
    border-radius: 50%;

}

.dark-theme .dark-theme-toggle {
    background-color: #F9F6EE;
    color: #282b30;
}

.hidden {
    display: none;
}

@media (max-width: 600px) {
    html {
        font-size: 0.8rem;
    }
}